今天在EMOS1.5(32bit)上安装nagios-plugins-1.4.16,想监控一下邮件的情况,安装的过程中出现了错误,提示如下

  1. 01、check_http.c:312: error: ‘ssl_version’ undeclared (first use in this function)
    check_http.c:312: error: (Each undeclared identifier is reported only once
    check_http.c:312: error: for each function it appears in.)
    make[2]: *** [check_http.o] Error 1
    make[2]: Leaving directory `/usr/src/nagios-plugins-1.4.16/plugins'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/usr/src/nagios-plugins-1.4.16'
    make: *** [all] Error 2

根据提示觉得是openssl的版本和openssl没有安装的问题,就rpm查看了一下发现已经安装了

  1. 02、 rpm -qa |grep openssl
  2. openssl-0.9.8e-7.el5

想想之前在配置nagios的时候也安装了就去看看关于Openssl的组件少了什么,一查看
多了openssl-devel,然后在EMOS上安装了openssl-devel问题解决。

  1. 03、[root@test ~]# rpm -qa |grep openssl
    openssl-0.9.8e-12.el5_4.6
    openssl-devel-0.9.8e-12.el5_4.6
    openssl-devel-0.9.8e-12.el5_4.6
    openssl-0.9.8e-12.el5_4.6

       在EMOS上,配置好Yum源

  1. 04、 yum install openssl-devel